kio Library: KBookmarkBar Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KBookmarkBar Class Reference

This class provides a bookmark toolbar. More...

`#include <kbookmarkbar.h>`

Inheritance diagram for KBookmarkBar:

[legend]
Collaboration diagram for KBookmarkBar:

[legend]
List of all members.

## Public Slots
void | clear ()
void | slotBookmarksChanged (const QString &)
void | slotBookmarkSelected ()
void | slotBookmarkSelected (KAction::ActivationReason reason, Qt::ButtonState state)
void | slotRMBActionRemove (int)
void | slotRMBActionInsert (int)
void | slotRMBActionCopyLocation (int)
void | slotRMBActionEditAt (int)
void | slotRMBActionProperties (int)
## Signals
void | aboutToShowContextMenu (const KBookmark &, QPopupMenu *)
void | openBookmark (const QString &url, Qt::ButtonState state)
## Public Member Functions
| KBookmarkBar (KBookmarkManager *manager, KBookmarkOwner *owner, KToolBar *toolBar, KActionCollection *, QObject *parent=0L, const char *name=0L)
bool | isReadOnly () const
void | setReadOnly (bool)
QString | parentAddress ()
## Protected Member Functions
void | fillBookmarkBar (KBookmarkGroup &parent)
virtual bool | eventFilter (QObject *o, QEvent *e)
## Friends
class | RMB

## Detailed Description

This class provides a bookmark toolbar.

Using this class is nearly identical to using KBookmarkMenu so follow the directions there.

Definition at line 42 of file kbookmarkbar.h.

## Constructor & Destructor Documentation

KBookmarkBar::KBookmarkBar | ( | KBookmarkManager * | manager,
|  | KBookmarkOwner * | owner,
|  | KToolBar * | toolBar,
|  | KActionCollection * | ,
|  | QObject * | parent = `0L`,
|  | const char * | name = `0L`
| ) |

  | Fills a bookmark toolbar. Parameters:
  | manager | the bookmark manager
  | owner | implementation of the KBookmarkOwner interface (callbacks)
  | toolBar | toolbar to fill
  The KActionCollection pointer argument is now obsolete. Parameters:
  | parent | the parent widget for the bookmark toolbar
  | name | the internal name for the bookmark toolbar
Definition at line 87 of file kbookmarkbar.cc. References QObject::connect(), and QPtrList::setAutoDelete().

## Member Function Documentation

bool KBookmarkBar::isReadOnly | ( |  | ) | const

| Since: 3.2 Definition at line 249 of file kbookmarkbar.cc.

void KBookmarkBar::setReadOnly | ( | bool |  | ) |

| Since: 3.2 Definition at line 244 of file kbookmarkbar.cc.

QString KBookmarkBar::parentAddress | ( |  | ) |

| Since: 3.2 Definition at line 108 of file kbookmarkbar.cc. References KBookmarkManager::toolbar().

void KBookmarkBar::aboutToShowContextMenu | ( | const KBookmark & | ,
|  | QPopupMenu * |
| ) | `[signal]`

| Since: 3.2

void KBookmarkBar::openBookmark | ( | const QString & | url,
|  | Qt::ButtonState | state
| ) | `[signal]`

| Since: 3.4 Referenced by slotBookmarkSelected().

void KBookmarkBar::slotBookmarkSelected | ( | KAction::ActivationReason | reason,
|  | Qt::ButtonState | state
| ) | `[slot]`

| Since: 3.4 Definition at line 254 of file kbookmarkbar.cc. References openBookmark(), KBookmarkOwner::openBookmarkURL(), and QObject::sender().

void KBookmarkBar::slotRMBActionRemove | ( | int |  | ) | `[slot]`

| Since: 3.2 Definition at line 439 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionInsert | ( | int |  | ) | `[slot]`

| Since: 3.2 Definition at line 436 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionCopyLocation | ( | int |  | ) | `[slot]`

| Since: 3.2 Definition at line 442 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionEditAt | ( | int |  | ) | `[slot]`

| Since: 3.2 Definition at line 430 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionProperties | ( | int |  | ) | `[slot]`

| Since: 3.2 Definition at line 433 of file kbookmarkbar.cc.

The documentation for this class was generated from the following files:

- kbookmarkbar.h
- kbookmarkbar.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003